<template>
  
      <div class="array-form userArrayGenerator">
        <form autocomplete="off" class="user-array-form" @submit="onUserSubmit">
          <label>Your array</label>
          <input
            type="text"
            name="text"
            placeholder="example: 1, 2, 3, 4"
            v-model="arrayString"
          />
          <InputButton text="OK" />
        </form>
      </div>
    
    
      <div class="array-form randomArrayGenerator">
        <form class="random-array-form" @submit="onRandomSubmit">
          <label>Random array</label>
          <input
            type="number"
            name="number"
            placeholder="example: 4"
            v-model="arraySize"
          />
          <InputButton text="GENERATE" />
        </form>
      </div>
   
</template>

<script>
import InputButton from "./InputButton";

export default {
  name: "InputPanel",
  components: {
    InputButton,
  },
  data() {
    return {
      arrayString: "",
      arraySize: 0,
    };
  },
  methods: {
    onUserSubmit(e) {
      e.preventDefault();

      if (!this.arrayString) {
        alert("Please enter an array");
        return;
      }

      const formatedArray = this.arrayString.replaceAll(" ", "").split(",");

      this.$emit("new-array", formatedArray);
    },
    onRandomSubmit(e) {
      e.preventDefault();

      if (!this.arraySize || this.arraySize < 0) {
        alert("Please enter a valid size");
        return;
      }

      const formatedArray = [];

      for (let index = 0; index < this.arraySize; index++) {
        formatedArray.push(Math.floor(Math.random() * 100));
      }

      this.$emit("new-array", formatedArray);
    },
  },
};
</script>

<style scoped>
   .palette{
  color:#121A21;
  color:#000000;
  color:#FF4C41;
  color:#C4D364;
  color:#ECCE58;
  color:#40B2E1;
  color:#F5878B;
  color:#A3E9D4;
  color:#ffffff;
}
label{
  color: #ECCE58;
}
input {
  color: #ffffff;
  border-color: #ffffff;
}
.array-form{
  display: inline-block;
  width: 50%;
  padding-top: 10px;
  padding-left: 30px;
  padding-right: 30px;
 
}


</style>

